#
# spec file for package python-twine
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-twine
Version:        1.11.0
Release:        2.53
Summary:        Collection of utilities for interacting with PyPI
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/pypa/twine
Source:         https://github.com/pypa/twine/archive/%{version}.tar.gz
BuildRequires:  %{python_module pkginfo >= 1.4.2}
BuildRequires:  %{python_module pretend}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.17.0}
BuildRequires:  %{python_module requests-toolbelt >= 0.8.0}
BuildRequires:  %{python_module setuptools >= 0.7.0}
BuildRequires:  %{python_module tqdm >= 4.14}
BuildRequires:  python-rpm-macros
Requires:       python-pkginfo >= 1.4.2
Requires:       python-requests >= 2.17.0
Requires:       python-requests-toolbelt >= 0.8.0
Requires:       python-setuptools >= 0.7.0
Requires:       python-tqdm >= 4.14
Requires(post): update-alternatives
Requires(postun): update-alternatives
Recommends:     python-keyring
%ifpython2
Recommends:     python-pyblake2
%endif
%python_subpackages

%description
Twine is a utility for interacting with PyPI.

Currently it only supports registering projects and uploading distributions.

%prep
%setup -q -n twine-%{version}
sed -i '1s/^#!.*//' twine/__main__.py

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/twine

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version}

%post
%python_install_alternative twine

%postun
%python_uninstall_alternative twine

%files %{python_files}
%doc AUTHORS README.rst
%license LICENSE
%{python_sitelib}/*
%python_alternative %{_bindir}/twine

%changelog
* Mon May 21 2018 tchvatal@suse.com
- Recommend the pyblake2 on python2 as it is included in py3.6+
  but was never in py2
* Mon May 21 2018 tchvatal@suse.com
- Switch to github archive to have test fixtures
- Enable tests
* Sat May 19 2018 hpj@urpla.net
- adjust requirements
* Fri May 18 2018 hpj@urpla.net
- update to version 1.11.0
  - see https://github.com/pypa/twine/blob/master/docs/changelog.rst
* Thu May 17 2018 tchvatal@suse.com
- Format with spec-cleaner and reduce the license conditions
* Thu Jul  6 2017 sebix+novell.com@sebix.at
- fix source url
* Wed Jul  5 2017 sebix+novell.com@sebix.at
- update to version 1.9.1
- update specfile to singlespec
* Wed Jan 18 2017 michael@stroeder.com
- Update to version 1.8.1
- requires python-requests-toolbelt>=0.4.0
* Fri Sep 25 2015 p.drouand@gmail.com
- Update to version 1.6.1
  * bug:`130` Fix signing support for uploads
- Implement update-alternatives
* Wed Jul 16 2014 toddrme2178@gmail.com
- BuildRequires: python-setuptools
- Add executable
* Tue Feb  4 2014 speilicke@suse.com
- Initial version
